Debian Bug report logs - #496632
Thunderbird/icedove continuously abuses UrgencyHint

Package: icedove; Maintainer for icedove is Christoph Goehre <chris@sigxcpu.org>; Source for icedove is src:icedove.

Reported by: martin f krafft <madduck@debian.org>

Date: Tue, 26 Aug 2008 09:57:01 UTC

Severity: normal

Tags: confirmed, upstream

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Toby Speight <T.M.Speight.90@cantab.net>, Eric Dorland <eric@debian.org>:
Bug#496632; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Toby Speight <T.M.Speight.90@cantab.net>:
New Bug report received and forwarded. Copy sent to Toby Speight <T.M.Speight.90@cantab.net>, Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Toby Speight <T.M.Speight.90@cantab.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: Iceweasel keeps grabbing focus inappropriately
Date: Tue, 26 Aug 2008 10:55:19 +0100
Package: iceweasel
Version: 3.0.1-1
Severity: normal

Iceweasel rudely interrupts my session and switches the window
manager to it whenever it loads a URL or opens a dialog.  This means
I'm unable to minimise all its windows whilst loading a session
(usually about 100 tabs in 10 or so windows), like I could with
Iceweasel 2.  Even worse, if I'm entering the password manager's
master password, other Iceweasel windows steal the focus while I'm
trying to enter the password - not just rude, active dangerous!

Window manager is fvwm 2.5.26, if that matters.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (900, 'stable'), (400, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-1    generic font configuration library
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.16.4-2   The GLib library of C routines
ii  libgtk2.0-0                   2.12.11-3  The GTK+ graphical user interface 
ii  libnspr4-0d                   4.7.1-3    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.1-2    The GNU Standard C++ Library v3
ii  procps                        1:3.2.7-8  /proc file system utilities
ii  psmisc                        22.6-1     Utilities that use the proc filesy
ii  xulrunner-1.9                 1.9.0.1-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts       0.1-8              Xft-compatible versions of some La
ii  libkrb53              1.6.dfsg.4~beta1-3 MIT Kerberos runtime libraries
pn  mozplugger            <none>             (no description available)
ii  ttf-mathematica4.1    4                  Installer of Mathematica TrueType 
ii  xfonts-mathml         2                  Type1 Symbol font for MathML
ii  xprint                2:1.4.2-3          X11 print system (binary)
pn  xulrunner-1.9-gnome-s <none>             (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#496632; Package iceweasel. (Sun, 01 Mar 2009 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sun, 01 Mar 2009 12:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 496632@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <496632@bugs.debian.org>
Subject: iceweasel 3 keeps stealing focus
Date: Sun, 01 Mar 2009 13:01:29 +0100
Package: iceweasel
Version: 3.0.6-1
Followup-For: Bug #496632


ever since upgrading from 2 to 3, iceweasel keeps stealing focus and
warping the mouse pointer.

this is not just annoying, this is a serious security issue, as it
regularly happens to me that I enter some password when the icewesael
window is unmapped(!) and just before pressing return I find myself typing
the password into the login field of the login box.

This is not just annoying (one has to unmap the iceweael window, move
the cursor back to the original window), it is also a rather disastruous
security issue, as:

a) the password will be clearly visible to anybody standing around
b) if one types quickly, the password will be sent in cleartext to the remote site(!)

please reconsider the improtance of this bug, without the security issues,
this would be just annoying, but as it is, this is outright dangerous
- iceweasel basically acts like an evil application trying to steal
credentials.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-3    generic font configuration library
hi  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.16.6-1   The GLib library of C routines
ii  libgtk2.0-0                   2.12.11-4  The GTK+ graphical user interface 
ii  libnspr4-0d                   4.7.1-4    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.3-4    The GNU Standard C++ Library v3
ii  procps                        1:3.2.7-11 /proc file system utilities
ii  psmisc                        22.6-1     Utilities that use the proc filesy
ii  xulrunner-1.9                 1.9.0.6-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts       0.1-8              Xft-compatible versions of some La
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  mozplugger            1.10.2-2           Plugin allowing external viewers t
pn  ttf-mathematica4.1    <none>             (no description available)
pn  xfonts-mathml         <none>             (no description available)
ii  xprint                2:1.4.2-10         X11 print system (binary)
pn  xulrunner-1.9-gnome-s <none>             (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#496632; Package iceweasel. (Sun, 01 Mar 2009 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. (Sun, 01 Mar 2009 12:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 496632@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <496632@bugs.debian.org>
Subject: iceweasel 3 blatantly abuses urgency hints
Date: Sun, 01 Mar 2009 13:43:32 +0100
Package: iceweasel
Version: 3.0.6-1
Followup-For: Bug #496632


after some analysis, I found out that this focus-stealing problem is
caused by iceweasel blatantly abusing the urgency hint.

the urgency hint is defined as (per icccm): The UrgencyHint flag, if set
in the flags field, indicates that the client deems the window contents to
be urgent, requiring the timely response of the user.

and this is of course not true for all the uses that firefox has for it
(as obviously, a new tab or a login dialog certainly do not need a timely
response at all).

unfortunately, this ruins all the other valid uses for urgency hints.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iceweasel depends on:
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-3    generic font configuration library
hi  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.16.6-1   The GLib library of C routines
ii  libgtk2.0-0                   2.12.11-4  The GTK+ graphical user interface 
ii  libnspr4-0d                   4.7.1-4    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.3-4    The GNU Standard C++ Library v3
ii  procps                        1:3.2.7-11 /proc file system utilities
ii  psmisc                        22.6-1     Utilities that use the proc filesy
ii  xulrunner-1.9                 1.9.0.6-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts       0.1-8              Xft-compatible versions of some La
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  mozplugger            1.10.2-2           Plugin allowing external viewers t
pn  ttf-mathematica4.1    <none>             (no description available)
pn  xfonts-mathml         <none>             (no description available)
ii  xprint                2:1.4.2-10         X11 print system (binary)
pn  xulrunner-1.9-gnome-s <none>             (no description available)

-- no debconf information




Forcibly Merged 496632 513781. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 13:03:03 GMT) Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 13:03:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=481844. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 13:03:06 GMT) Full text and rfc822 format available.

Forcibly Merged 478981 496632 513781. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 27 May 2009 07:03:13 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from https://bugzilla.mozilla.org/show_bug.cgi?id=481844 to https://bugzilla.mozilla.org/show_bug.cgi?id=436873. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 27 May 2009 07:03:15 GMT) Full text and rfc822 format available.

Forcibly Merged 478981 486570 496632 513781. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 27 May 2009 07:03:19 GMT) Full text and rfc822 format available.

Bug reassigned from package `iceweasel' to `icedove'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to `Thunderbird/icedove continuously abuses UrgencyHint' from `iceweasel: Iceweasel keeps grabbing focus inappropriately'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:27:11 GMT) Full text and rfc822 format available.

Tags set to: upstream, confirmed Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:27:11 GMT) Full text and rfc822 format available.

Changed Bug submitter from Toby Speight <T.M.Speight.90@cantab.net> to martin f krafft <madduck@debian.org>. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:27:14 GMT) Full text and rfc822 format available.

Disconnected #496632 from all other report(s). Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:39:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=436873. Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 16 Jun 2009 12:39:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#496632; Package icedove. (Tue, 16 Mar 2010 09:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@madduck.net>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Tue, 16 Mar 2010 09:06:08 GMT) Full text and rfc822 format available.

Message #44 received at 496632@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@madduck.net>
To: 478981@bugs.debian.org, 496632@bugs.debian.org
Subject: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Tue, 16 Mar 2010 10:04:16 +0100
[Message part 1 (text/plain, inline)]
After reading what James wrote[0], I went to investigate this a bit.

0. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486570#15

First, I found the single call to gtk_window_present in the Firefox
source and disabled it:

  --- a/widget/src/gtk2/nsWindow.cpp
  +++ b/widget/src/gtk2/nsWindow.cpp
  @@ -1406,7 +1406,7 @@ nsWindow::SetFocus(PRBool aRaise)
          owningWindow->mContainerBlockFocus = PR_TRUE;

          // Set focus to the window
  -        if (gRaiseWindows && aRaise && toplevelWidget &&
  +        if (0 && gRaiseWindows && aRaise && toplevelWidget &&
              !GTK_WIDGET_HAS_FOCUS(toplevelWidget) &&
              owningWindow->mIsShown && GTK_IS_WINDOW(owningWindow->mShell))
            gtk_window_present(GTK_WINDOW(owningWindow->mShell));

and built new packages, but the problem remained. However, I found
a couple of curiousities. I have three heads one two graphics cards,
and I use Zaphod mode to put them all next to each other. head 0 is
on GPU 0, and heads 1&2 are on GPU 1.

  1. the focus is never stolen when the Firefox window is on heads
     1&2, not even if the link is clicked on another head.

  2. if I move the window from head 0 to head 1 and back, then it no
     longer steals focus, not even if the click is on a separate head.

  3. if I move the window from head 0 to head 1, click a link, and
     move it back to head 0, then the focus stealing happens again.

I then went back to investigate these three points with the original
Firefox packages, i.e. without the above patch, and the behaviour is
identical.

Then I investigated the urgency hint, using xprop -spy: I started it
in a terminal, then X-pasted a link into that terminal and clicked
it. I did this to avoid changing focus with the mouse while testing.
There was nothing in the output of xprop -spy mentioning an urgency
hint. I did verify that xprop -spy shows the urgency hint, using
URxvt.urgentOnBell and echo -e '\a'.

This is starting to feel a bit like a riddle. For me, (2.) above is
an okay workaround at the moment, but it really seems like the
Firefox code needs some cleaning.

-- 
martin | http://madduck.net/ | http://two.sentenc.es/
 
"no work of art ever puts forward views.
 views belong to people
 who are not artists."
                                                        -- oscar wilde
 
spamtraps: madduck.bogus@madduck.net
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#496632; Package icedove. (Tue, 16 Mar 2010 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Tue, 16 Mar 2010 10:03:04 GMT) Full text and rfc822 format available.

Message #49 received at 496632@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 478981@bugs.debian.org, 496632@bugs.debian.org
Subject: Re: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Tue, 16 Mar 2010 10:58:25 +0100
[Message part 1 (text/plain, inline)]
found 478981 3.6-0preview1
thanks

Here's some additional information. Since I now have a way to switch
focus-losing on and off (moving to another head and back, clicking
a link in between or not), I compared xprop -spy output. This is the
diff:

  3,14d2
  < WM_HINTS(WM_HINTS):
  <               Client accepts input or input focus: True
  <               Initial state is Normal State.
  <               bitmap id # to use for icon: 0x1800030
  <               bitmap id # of mask for icon: 0x1800031
  <               window id # of group leader: 0x1800001
  < WM_HINTS(WM_HINTS):
  <               Client accepts input or input focus: True
  <               Initial state is Normal State.
  <               bitmap id # to use for icon: 0x1800030
  <               bitmap id # of mask for icon: 0x1800031
  <               window id # of group leader: 0x1800001
  19,24d6
  < WM_HINTS(WM_HINTS):
  <               Client accepts input or input focus: True
  <               Initial state is Normal State.
  <               bitmap id # to use for icon: 0x1800030
  <               bitmap id # of mask for icon: 0x1800031
  <               window id # of group leader: 0x1800001

So in the case when Firefox loses focus, WM_HINTS are being set
(although no urgency flag), while they are not at all touched/set
when focus is maintained.

And while I am at it, the problem is the same with Firefox 3.6.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#496632; Package icedove. (Tue, 16 Mar 2010 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Tue, 16 Mar 2010 20:33:06 GMT) Full text and rfc822 format available.

Message #54 received at 496632@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 478981@bugs.debian.org, 496632@bugs.debian.org
Subject: Re: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Tue, 16 Mar 2010 21:32:09 +0100
[Message part 1 (text/plain, inline)]
More stuff found, with the help of Mike Hommey. We are now debugging
Firefox 3.5.8 with gdb, breaking on XSetWMHints.

After using the move-to-another-head trick to work around the
problem, XSetWMHints is not called *at all*.

Loading a link before moving the window back to head 0 restores the
focus stealing behaviour, and XSetWMHints is getting called again.
This can be reproduced as many times as desirable. Fun, isn't it?



It seems that every time the focus is lost XSetWMHints is called via
update_wm_hints from nsWindow::SetUrgencyHint. This happens six
times for each click, but only the first four, sometimes the first
five, change the focus. Only the first two calls come from
command-line handline, the other are in response to the GTK focus_in
event.

The curious thing is that nsWindow::SetUrgencyHint is called with
state=0, which causes gdk_window_set_urgency_hint to be called
*clearing* the flag[0]

0. http://developer.gimp.org/api/2.0/gdk/gdk-Windows.html#gdk-window-set-urgency-hint

In fact, wmhints->flags is 0x67 throughout, which is
InputHint|StateHint|IconPixmapHint|IconMaskHint|WindowGroupHint, so
I think we can totally forget about the urgency hint.


It might be that I am getting confused about firefox vs. xulrunner.
I need to go away for a few days, but upon return I shall continue
debugging with the xulrunner source compiled with debug symbols!

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#496632; Package icedove. (Thu, 01 Nov 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Schoenert <c.schoenert@t-online.de>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Thu, 01 Nov 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #59 received at 496632@bugs.debian.org (full text, mbox):

From: Carsten Schoenert <c.schoenert@t-online.de>
To: martin f krafft <madduck@debian.org>
Cc: 496632@bugs.debian.org
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Thu, 1 Nov 2012 20:28:53 +0100
Hello Martin,

any news on this bugreport (icedove related)?
Did this also happen in current versions? Or could this report closed
for the icedove part?

Regards
carsten

On Tue, Mar 16, 2010 at 09:32:09PM +0100, martin f krafft wrote:
> More stuff found, with the help of Mike Hommey. We are now debugging
> Firefox 3.5.8 with gdb, breaking on XSetWMHints.
> 
> After using the move-to-another-head trick to work around the
> problem, XSetWMHints is not called *at all*.
> 
> Loading a link before moving the window back to head 0 restores the
> focus stealing behaviour, and XSetWMHints is getting called again.
> This can be reproduced as many times as desirable. Fun, isn't it?
> 
> 
> 
> It seems that every time the focus is lost XSetWMHints is called via
> update_wm_hints from nsWindow::SetUrgencyHint. This happens six
> times for each click, but only the first four, sometimes the first
> five, change the focus. Only the first two calls come from
> command-line handline, the other are in response to the GTK focus_in
> event.
> 
> The curious thing is that nsWindow::SetUrgencyHint is called with
> state=0, which causes gdk_window_set_urgency_hint to be called
> *clearing* the flag[0]
> 
> 0. http://developer.gimp.org/api/2.0/gdk/gdk-Windows.html#gdk-window-set-urgency-hint
> 
> In fact, wmhints->flags is 0x67 throughout, which is
> InputHint|StateHint|IconPixmapHint|IconMaskHint|WindowGroupHint, so
> I think we can totally forget about the urgency hint.
> 
> 
> It might be that I am getting confused about firefox vs. xulrunner.
> I need to go away for a few days, but upon return I shall continue
> debugging with the xulrunner source compiled with debug symbols!
> 
> -- 
>  .''`.   martin f. krafft <madduck@d.o>      Related projects:
> : :'  :  proud Debian developer               http://debiansystem.info
> `. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
>   `-  Debian - when you have better things to do than fixing systems





Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#496632; Package icedove. (Thu, 01 Nov 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Thu, 01 Nov 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #64 received at 496632@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Carsten Schoenert <c.schoenert@t-online.de>
Cc: 496632@bugs.debian.org
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Thu, 1 Nov 2012 20:33:59 +0100
[Message part 1 (text/plain, inline)]
also sprach Carsten Schoenert <c.schoenert@t-online.de> [2012.11.01.2028 +0100]:
> any news on this bugreport (icedove related)? Did this also happen
> in current versions? Or could this report closed for the icedove
> part?

It's still present, and it's still annoying. Icedove, Iceweasel, all
the same.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
russian roulette on the shell: ((RANDOM % 6)) || rm -rf ~
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <chris@sigxcpu.org>:
Bug#496632; Package icedove. (Fri, 09 Aug 2013 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Vogel <jvogel4@stny.rr.com>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <chris@sigxcpu.org>. (Fri, 09 Aug 2013 22:54:05 GMT) Full text and rfc822 format available.

Message #69 received at 496632@bugs.debian.org (full text, mbox):

From: John Vogel <jvogel4@stny.rr.com>
To: 496632@bugs.debian.org
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Fri, 09 Aug 2013 17:24:30 -0400
This issue has bothered me for a long time. Finally, I found a
solution [1] while searching the web. In address bar, enter
"about:config"; this takes you to advanced settings page. After
clicking on the "I'll be careful, I promise!" button, the settings
page loads. Set "browser.tabs.loadDivertedInBackground" to true by
double clicking. Reloading iceweasel enables the changed setting.
Worked for me.

Cheers,
John

[1] 
http://www.techsupportalert.com/content/how-stop-firefox-stealing-window-focus.htm



Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <chris@sigxcpu.org>:
Bug#496632; Package icedove. (Sat, 10 Aug 2013 06:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Schoenert <c.schoenert@t-online.de>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <chris@sigxcpu.org>. (Sat, 10 Aug 2013 06:42:04 GMT) Full text and rfc822 format available.

Message #74 received at 496632@bugs.debian.org (full text, mbox):

From: Carsten Schoenert <c.schoenert@t-online.de>
To: John Vogel <jvogel4@stny.rr.com>, 496632@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Sat, 10 Aug 2013 08:38:33 +0200
Hello John,
On Fri, Aug 09, 2013 at 05:24:30PM -0400, John Vogel wrote:
> This issue has bothered me for a long time. Finally, I found a
> solution [1] while searching the web. In address bar, enter
> "about:config"; this takes you to advanced settings page. After
> clicking on the "I'll be careful, I promise!" button, the settings
> page loads. Set "browser.tabs.loadDivertedInBackground" to true by
> double clicking. Reloading iceweasel enables the changed setting.
> Worked for me.

are you willing to write a little tip to the wiki?
https://wiki.debian.org/Icedove#Tips

I don't think we will change the default behavior of this setting, at
least it may be possible to add a Debconf functionality to change this
while installation or a dpkg-reconfigure.

@Martin
What do you think? Can you please recheck the behavior of this bug with
the change of this setting? Thanks.

Regards
Carsten



Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <chris@sigxcpu.org>:
Bug#496632; Package icedove. (Sat, 10 Aug 2013 06:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <chris@sigxcpu.org>. (Sat, 10 Aug 2013 06:42:07 GMT) Full text and rfc822 format available.

Message #79 received at 496632@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: John Vogel <jvogel4@stny.rr.com>, 496632@bugs.debian.org
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Sat, 10 Aug 2013 08:39:24 +0200
[Message part 1 (text/plain, inline)]
also sprach John Vogel <jvogel4@stny.rr.com> [2013.08.09.2324 +0200]:
> This issue has bothered me for a long time. Finally, I found a
> solution [1] while searching the web. In address bar, enter
> "about:config"; this takes you to advanced settings page. After
> clicking on the "I'll be careful, I promise!" button, the settings
> page loads. Set "browser.tabs.loadDivertedInBackground" to true by
> double clicking. Reloading iceweasel enables the changed setting.
> Worked for me.

Setting browser.tabs.loadDivertedInBackground substantially changes
the behaviour of the browser, which I am not willing to accept.
I don't think it's reasonable to expect users to change their
browsing habits just because Mozilla doesn't behave properly wrt
urgency hints.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <chris@sigxcpu.org>:
Bug#496632; Package icedove. (Sun, 18 Aug 2013 04:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Vogel <jvogel4@stny.rr.com>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <chris@sigxcpu.org>. (Sun, 18 Aug 2013 04:30:04 GMT) Full text and rfc822 format available.

Message #84 received at 496632@bugs.debian.org (full text, mbox):

From: John Vogel <jvogel4@stny.rr.com>
To: 496632@bugs.debian.org
Cc: Carsten Schoenert <c.schoenert@t-online.de>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Sun, 18 Aug 2013 00:26:29 -0400
On 08/10/2013 02:38 AM, Carsten Schoenert wrote:
> Hello John,
-snip-
> are you willing to write a little tip to the wiki?
> https://wiki.debian.org/Icedove#Tips
>
> I don't think we will change the default behavior of this setting, at
> least it may be possible to add a Debconf functionality to change this
> while installation or a dpkg-reconfigure.
>
> @Martin
> What do you think? Can you please recheck the behavior of this bug with
> the change of this setting? Thanks.
>
> Regards
> Carsten
>
I'll write a tip for the wiki. Should I send the text of the tip to you?
I don't have write access.

On 08/10/2013 02:39 AM, martin f krafft wrote:
-snip-
>
> Setting browser.tabs.loadDivertedInBackground substantially changes
> the behaviour of the browser, which I am not willing to accept.
> I don't think it's reasonable to expect users to change their
> browsing habits just because Mozilla doesn't behave properly wrt
> urgency hints.
>
I see your point. I've spent a little time using xtrace to try to
understand the X11 calls occuring at or near the time of the focus
change. Until I can better filter out unrelated traffic, I don't see
that xtrace is going to much help. I go back at it when I have time.

Regards,
John



Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <chris@sigxcpu.org>:
Bug#496632; Package icedove. (Mon, 19 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Schoenert <c.schoenert@t-online.de>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <chris@sigxcpu.org>. (Mon, 19 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Message #89 received at 496632@bugs.debian.org (full text, mbox):

From: Carsten Schoenert <c.schoenert@t-online.de>
To: John Vogel <jvogel4@stny.rr.com>, 496632@bugs.debian.org
Subject: Re: Bug#496632: It's neither gtk_window_present, nor the urgency hint; it's a RIDDLE!
Date: Mon, 19 Aug 2013 21:55:24 +0200
Hello John,

On Sun, Aug 18, 2013 at 12:26:29AM -0400, John Vogel wrote:
> I'll write a tip for the wiki. Should I send the text of the tip to you?
> I don't have write access.

I would prefer you write the hint by yourself to the wiki, it isn't so
difficult, just register to the wiki and you can write. ;)
And it's a wiki, so if everybody can change it by it's needs. Another
point for me that you should write the entry is that only you can
exacatly describe the workaround.

> I see your point. I've spent a little time using xtrace to try to
> understand the X11 calls occuring at or near the time of the focus
> change. Until I can better filter out unrelated traffic, I don't see
> that xtrace is going to much help. I go back at it when I have time.

That would be great if you can provide more infos to that issue! So if
you find some time to digg deeper into it ... we happely take any help.

Regards
Carsten



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:48:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.